{% extends 'dashboard/dashboard_content.html' %}

{% block title %}
    Edit Feedback Format
{% endblock %}


{% block rightPane %}

    <div class="x_panel">
        <div class="x_title">
            <h2>
                <i class="fa fa-pencil-square-o"></i>
                Feedback Format Edit
            </h2>
            <div class="clearfix"></div>
        </div>

        <div class="x_content">
            <div class="row">

            </div>
            <div>
                <form method="POST">{% csrf_token %}
                <input type="hidden" name="feedbackFormatPk" value="{{ feedbackFormatInstance.pk }}">
                    {% for category in feedbackQuestionList %}
                        <div class="col-md-12">
                            <div class="form-group" align="center">
                                <label class="control-label">
                                    Category {{ forloop.counter }}:
                                    <strong>{{ category.category.categoryName }}</strong>
                                </label>
                            </div>
                        </div>
                        {% for question in category.questionList %}
                            <div class="col-md-12">
                                <label class="control-label col-md-2">
                                </label>
                                <div class="form-group col-md-8">
                                <textarea class="form-control" rows="3" type="text"
                                          name="question-{{ question.pk }}" required
                                          placeholder="Enter the question {{ forloop.counter }} in category {{ forloop.parentloop.counter }}"
                                >{% if question.question %}{{ question.question }}{% endif %}</textarea>
                                </div>
                                <div class="col-md-2"></div>
                            </div>
                            <div class="col-md-12"><br></div>
                        {% endfor %}
                        <div class="col-md-12"><br><br></div>
                    {% endfor %}
                    <div class="form-group">
                        <div class="col-md-12" align="center">
                            <br><br>
                            <!-- Button trigger modal -->
                            <button type="button" class="btn1 btn1-success" data-toggle="modal" data-target="#myModal">
                                Save
                            </button>

                            <!-- Modal -->
                            <div class="modal" id="myModal" tabindex="-1" role="dialog"
                                 aria-labelledby="myModalLabel1" aria-hidden="true">
                                <div class="modal-dialog" role="document">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                <span aria-hidden="true">&times;</span>
                                            </button>
                                            <h4 class="modal-title" id="myModalLabel1">Edit Confirmation</h4>
                                        </div>
                                        <div class="modal-body">
                                            <h4>
                                                <ul>
                                                    <li>The changes made will be affected</li>
                                                    <br>
                                                    <li>Are you sure?</li>
                                                </ul>
                                            </h4>
                                        </div>
                                        <div class="modal-footer">
                                            <button type="button" class="btn1 btn1-secondary" data-dismiss="modal">Close
                                            </button>
                                            <button type="submit" name="updateFormatQuestions" class="btn1 btn-dark-green">Save changes</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>

    </div>

    <form id="dummy_form" method="POST">
        {% csrf_token %}
    </form>

    <script type="text/javascript">

        $(function () {
            $("#datepicker").datepicker({dateFormat: 'dd/mm/yy', minDate: 'today'});
        });

        function getCookie(name) {
            var cookieValue = null;
            if (document.cookie && document.cookie != '') {
                var cookies = document.cookie.split(';');
                for (var i = 0; i < cookies.length; i++) {
                    var cookie = jQuery.trim(cookies[i]);
                    // Does this cookie string begin with the name we want?
                    if (cookie.substring(0, name.length + 1) == (name + '=')) {
                        cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                        break;
                    }
                }
            }
            return cookieValue;
        }

        $('document').ready(function () {
            $('[name="course_tab"]').click(function () {

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: getCookie('csrftoken'),
                    name: 'csrfmiddlewaretoken'
                });
                $hiddenInput.appendTo('form');

                var $hiddenInput = $('<input/>', {type: 'hidden', value: this.id, name: 'subject_code'});
                $hiddenInput.appendTo('form');

                $('#dummy_form').submit();

            });
        });

    </script>

{% endblock %}